About Log Viewer

About Outpost Log Viewer

For your convenience every action taken by Outpost Firewall can be viewed by a separate application called Outpost Log Viewer. See Overview of Outpost Viewer Window.

Outpost Log Viewer shows you the history of every operation Outpost Firewall performed including:

  • Every application and connection that was allowed or blocked by Outpost Firewall.

  • The specific activities of each Outpost Firewall plug-in.

  • The start of every program and all changes made to policies, configuration settings and passwords.

Some of the main features of the Outpost Log Viewer are:

  • One mouse click to view the entire log or a selection of specific events.

  • Customized display of the logs. You can view only the information you need by selecting columns and limiting their parameters and/or sorting by any parameter.

  • Preset selections of events can be displayed. You can easily switch between connections blocked during the last ten minutes, for instance, or all connections allowed today. You can also create, edit and remove selections of events to be displayed.

  • Filters can be added to organize the data displayed.

  • Logs can be copied and/or exported according to presets, filters or selected records.

  • Log files can be cleared to save hard drive space.

  • Customized SQL queries can be created for specific monitoring purposes.

  • Logs can even be browsed via the Microsoft Management Console (MMC) snap-in.

Related Topics

Overview of Outpost Log Viewer Window

About customizing logs

Viewing logs

About Favorites

About filtering


Allowed Connections

For allowed connections, the following information is available in the Columns dialog:

Name of the Column | Description
Start Time | Time and date of establishment of the logged connection.
Application | The name of the application that established the connection. The corresponding icon and location of the application can be displayed.
Protocol | The type of the protocol used for data transfer.
Direction | Direction of data transfer (IN or OUT).
Remote Address | Address of the host the data has been sent to or received from. Can be displayed as a numeric IP address or domain name. (i.e. 196.202.68.5 or www.agnitum.com)
Remote Port | The port used by the remote host to transfer data, displayed as a name or number (e.g. HTTP or 80).
Reason | The reason the connection was allowed.
Up Time | Duration of the connection.
Local Address | The address of the application that established the connection.
Local Port | The port used by your PC to transfer data, displayed as a name or number (e.g. HTTP or 80).
Requested Addr | The requested URL of an HTTP connection.
BPS | Connection speed in bytes per second.
Sent | The amount of data sent by the connection, displayed in bytes, kilobytes or megabytes.
Recv | The amount of data received by the connection, displayed in bytes, kilobytes or megabytes.

To display or hide any of these columns see Hiding or Displaying Columns.

Related Topics

Blocked Connections


Blocked Connections

For blocked connections, the following information is available in the Columns dialog:

Name of the Column | Description
Start Time | Time and date of the blocked connection.
Application | The name of the blocked application that tried to establish the connection. The corresponding icon and location of the application can be displayed.
Protocol | The type of protocol that was attempted for data transfer.
Direction | Direction of the blocked connection.
Remote Address | Address of the host the data transfer was blocked to or from. Can be displayed as a numeric IP address or domain name. (e.g. 196.202.68.5 or www.agnitum.com)
Remote Port | The blocked port attempted to be used by the remote host to transfer data, displayed as a name or number. (e.g. HTTP or 80).
Reason | The reason the connection was blocked.
Up Time | Duration of the blocked connection.
Local Address | The address of the application that was blocked.
Local Port | The blocked port attempted to be used by your PC to transfer data, displayed as a name or number (e.g. HTTP or 80)..
Requested Addr | The address requested by the application that was blocked.
BPS | Connection speed in bytes per second.
Sent | The amount of data sent during the connection, displayed in bytes, kilobytes or megabytes.
Recv | The amount of data received during the connection.

To display or hide some of these columns see Hiding or Displaying Columns.

Related Topics

Allowed Connections


Active Content Log

To view the log of the Active Content plug-in, the following information is available in the Columns dialog:

Name of the Column | Description
Date/Time | Time and date of operation.
Action | The type of active content and the operation it performed.
Details | Details on the active content element.
URL | URL of the active content element.

To display or hide some of these columns see Hiding or Displaying Columns.

Related Topics

Ads log

Attachments log

Attack Detection log

Content log

DNS Cache log

System log


Ads Log

For the log of the Ads plug-in, the following information is available in the Columns dialog:

Name of the Column | Description
Date/Time | Time and date of blocking.
Block Reason | The keyword or banner size, by which the given advertisement was blocked.
Details | The address of the blocked element
Ad-String / Ad-Size | The part of HTML code of the element that was blocked.

To display or hide some of these columns see Hiding or Displaying Columns.

Related Topics

Active Content log

Attachments log

Attack Detection log

Content log

DNS Cache log

System log


Attachments Log

For the log of the Attachments Filter plug-in, the following information is available in the Columns dialog:

Name of the Column | Description
Date/Time | Time and date the attachment was received.
Sender | The sender's name.
Sender's email | The e-mail address of the sender.
File Name | Name of the file attached.
File Type | File type of the attachment.
Action | Operation performed with the attachment.

To display or hide some of these columns see Hiding or Displaying Columns.

Related Topics

Active Content log

Ads log

Attack Detection log

Content log

DNS Cache log

System log


Attack Detection Log

For the log of the Attack Detection plug-in, the following information is available in the Columns dialog:

Name of the Column | Description
Date/Time | Time and date of the attack or suspicious activity.
Attack Type | Type of attack.
IP Address | IP address of the intruder.
Scan Port Details | Name and number of the port that was attacked.

To display or hide some of these columns see Hiding or Displaying Columns.

Related Topics

Active Content log

Ads log

Attachments log

Content log

DNS Cache log

System log


Content Log

For the log of the Content plug-in, the following information is available in the Columns dialog:

Name of the Column | Description
Date/Time | Time and date of blocking.
Block Reason | The reason the site was blocked.
URL | The address of the blocked site.
Keyword | The blocked word that was found in the text of the site.

To display or hide some of these columns see Hiding or Displaying Columns.

Related Topics

Active Content log

Ads log

Attachments log

Attack Detection log

DNS Cache log

System log


DNS Cache Log

For the log of the DNS Cache plug-in, the following information is available in the Columns dialog:

Name of the Column | Description
Date/Time | Time and date of the DNS recording.
Domain Name | Domain name that was added or removed from the DNS cache.
Event | Operation performed with the given DNS.
IP | IP address assigned to the domain name.

To display or hide some of these columns see Hiding or Displaying Columns.

Related Topics

Active Content log

Ads log

Attachments log

Attack Detection log

Content log

System log


System Log

To view the history of all changes made to policy, program options and configuration settings, the following columns are available in the Columns dialog:

Name of the Column | Description
Date/Time | Time and date of DNS recording.
Event | Changes made to Outpost Firewall.
Related Topics

Active Content log

Ads log

Attachments log

Attack Detection log

Content log

DNS Cache log


Overview of Log Viewer Main Window

The Outpost Viewer window is used to manage the display of the logs (see About Log Viewer for details).

To display the Outpost Viewer:

  1. Select Tools from Outpost Firewall's menu.

  2. Select Log Viewer.

Here are the elements the Outpost Viewer window contains:

    • Outpost Viewer's menu

    • Console Tree

    • Information Panel

    • Toolbar

    • Description Bar

    • Status Bar

Note

In general, the elements of the Outpost Viewer window are similar to the elements of Outpost’s main window and are managed in the same way.

Related Topics

Hiding or displaying menus or toolbars


The Toolbar

The toolbar is close to the top of the Outpost Viewer window. You can see what each button does by holding your cursor over it for a second or so.

Here are all the buttons found on the Outpost Viewer Toolbar:

Button | Function
 | Goes back to the previous selected item.
 | Goes forward to the next selected item.
 | Goes up one level.
 | Shows or hides the Console Tree.
 | Exports the selected log to a text file.
Note

Only some of these buttons are visible (active) at any one time, depending on what is highlighted in the Console Tree or the Information Panel.

Related Topics

The Console Tree

The Description Bar

The Information Panel

The Status Bar

Hiding or displaying menus or toolbars


The Console Tree

The Console Tree is the listing of logs and their presets and filters. It consists of two tabs: Tree and Favorites.

On the Tree tab are four groups of logs:

    • Allowed Connections

A listing of every application and connection that Outpost Firewall allowed.

    • Blocked Connections

A listing of every application and connection that Outpost Firewall blocked.

    • Plug-Ins

Each plug-in has its own log. Active Content displays the sites that had some of its active content blocked based on the settings for Java, JavaScript, VB Script, ActiveX and other active content elements.

      • Active Content displays a list of all the interactive Web page elements that were blocked.

      • Ads displays a list of all the ads that were blocked.

      • Attachments Filter shows all the e-mail file attachments that were neutralized and quarantined from your computer.

      • Attack Detection shows every suspicious activity and attack on your computer from the Internet, the ports involved and where the attacks originated.

      • Content lists all the web sites or pages that were blocked due to their content.

      • DNS Cache displays the web addresses saved by Outpost Firewall to speed up your Internet connection to those sites.

    • System Log

This is a record of every program start and every change made to the firewall policies, program options and configuration settings.

For each group of logs (except the System Log), several helpful filters are created by default.

Related Topics

The Toolbar

The Description Bar

The Information Panel

The Status Bar

Hiding or displaying menus or toolbars


The Description Bar

The Description Bar is located above the Information Panel in the Outpost Viewer window (see Overview of Outpost Viewer Window).

It displays the description of the log selected in the Console Tree.

Related Topics

The Toolbar

The Console Tree

The Information Panel

The Status Bar

Hiding or displaying menus or toolbars


Information Panel

The Information Panel

The Information Panel shows a table of all the records of whatever log, preset or filter that is highlighted in the Console Tree.

The columns of this table represent various data about connections or other activity. To find out what info is displayed in each log, just click the appropriate link below:

Allowed Connections

Blocked Connections

Active Content Plug-In

Ads Plug-In

Attachments Filter Plug-In

Attack Detection Plug-In

Content Plug-In

DNS Cache Plug-In

Log Plug-In

You can customize the display of the data in the Information Panel to show only the information you need. For details see:

About Customizing logs

Hiding or displaying columns

Reordering columns

Viewing Logs

There are several buttons on the Information Panel to help you quickly operate the Outpost Log Viewer. The set of buttons changes according to which element has been selected in the Console Tree:

Refreshing logs

Creating new filter

Editing a filter

Removing a filter

Related Topics

The Toolbar

The Console Tree

The Description Bar

The Status Bar

Hiding or displaying menus or toolbars


The Status Bar

The status bar is at the bottom of the Outpost Log Viewer window (see Overview of Outpost Viewer Window).

It consists of two sections that display:

    • Whether a log has been successfully opened or not.

    • The number of the selected record and the total number of records in the log.

Related Topics

The Toolbar

The Console Tree

The Description Bar

The Information Panel

Hiding or displaying menus or toolbars


Hiding or Displaying Menus or Toolbars

To customize the layout of the Outpost Viewer window so you can quickly find the data you need:

  1. From Outpost Firewall's menu select Tools.

  2. Select Log Viewer.

  3. Select View from Outpost Viewer's menu.

  4. Select Layout.

  5. You will see the Customize View dialog. Just check the elements you want to displayed and uncheck the items you want hidden.

Note

To show or hide the Console Tree, you can use the Show/Hide Console Tree button on the toolbar.

Related Topics

The Toolbar

The Console Tree

The Description Bar

The Information Panel

The Status Bar


About Customizing the Logs

The history of activities performed by Outpost Firewall components is shown in the Outpost Viewer's Information Panel as a table. Every log has its own set of columns (parameters). You can configure Outpost Viewer to show only the data you are interested in and to display that data in whatever order you like.

The following topics describe how to customize the display of logs to suit your needs:

Hiding or displaying columns

Reordering columns

Specifying a sort order

Setting up Log Viewer options

Viewing favorites

Using quick filter


Hiding or Displaying Columns

To select columns to be displayed:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer. For details see also Viewing logs.

  3. Highlight a log in the Console Tree (Allowed or Blocked Connections, one of the Plug-Ins or the System Log).

  4. Right click in the Information Panel to get the context menu and select the Columns item (or select the following item from the Menu Bar: View | Add/ Remove Columns).

  5. You will see the Columns dialog. Check the names of the parameters (columns) you want to be displayed in the Information Panel.

Related Topics

Reordering columns

Specifying a sort order

Setting up Log Viewer options


Reordering Columns

You can rearrange the columns of logged data in the Information Panel of the Outpost Viewer to suit your needs:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer.

  3. Highlight the log of interest in the Console Tree (Allowed or Blocked Connections, one of the Plug-Ins or the System Log).

  4. From Outpost Log Viewer’s menu select View.

  5. Select Add/Remove Columns…

  6. In the Columns dialog click the Move Up or Move Down buttons to reorder the columns.

Note

You can also arrange columns by dragging the columns in the Information Panel by holding down the left mouse button and dragging the columns left or right.

Related Topics

Hiding or displaying columns

Specifying a sort order

Setting up Log Viewer options


Specifying a Sort Order

If you need to sort records of a log in descending or ascending order by the values of the selected column, do the following:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer.

  3. Highlight a log in the Console Tree (Allowed or Blocked Connections, one of the Plug-Ins or the System Log).

  4. Left-click on the header of the required column.

If the header shows an up-arrow, the records are sorted in ascending order (1,2, 3… A, B, C…).

To change the order to descending (…3, 2, 1 …C, B, A), click the header again so it shows a down-arrow.

Related Topics

Hiding or displaying columns

Reordering columns

Setting up Log Viewer options


Setting up Log Viewer Options

In the Outpost Viewer, you can customize the display of several common log parameters:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer. For details see also Viewing logs.

  3. Select View in the Outpost Viewer's menu.

  4. Select Customize.

  5. You will see the Customize dialog.

In the Customize dialog, the following selections are available:

Parameter | Choices Available | Description
Display host as | Domain name | Select to display hosts in terms of Domain Name. For example: www.agnitum.com
 | IP number | Select to display hosts as numerical IP addresses. Example: 64.176.127.178
Show port as | Number | Select to display ports as numbers. Example: 80
 | Name | Select to display ports as the names of data types. Example: HTTP
Application name | Show icon | Select this checkbox to display the icon assigned to an application.
 | Show path | Select this checkbox to display the path of an application.
Display traffic as | Auto | Select to let the program automatically choose its way of displaying traffic (bytes, kilobytes or megabytes) depending on how large the number is.
 | Bytes | Select to show traffic in bytes.
 | Kbytes | Select to show traffic in kilobytes.
 | Mbytes | Select to show traffic in megabytes.
Table grid | Show grid lines | Check the box to show the table grid or uncheck it to hide the grid.
Note

You can also press F2 to access the Customize dialog window.

Related Topics

Hiding or displaying columns

Reordering columns

Specifying a sort order


Viewing Logs

To view one of the Outpost Logs, do the following:

  1. To display the Outpost Viewer, select Tools from Outpost Firewall's menu.

  2. Select Log Viewer.

  3. Then select the required log from the Console Tree or switch to the Favorites tab.

Note

You can also access Outpost Logs via the Information Panel of Outpost Firewall. To do this select the desired component from the Left Panel then click the Show Detailed Log button in the Information Panel.

Related Topics

Exporting data from the logs

Copying data from the logs

Clearing logs

Customizing the display of the logs

Refreshing logs


Exporting Data from the Logs

To export data from a log to a text file:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer.

  3. In the Console Tree, select the log to be exported.

  4. With the cursor in the Outpost Log Viewer right click to get its context menu and select Export.

  5. Specify the folder to which the data will be exported and give the new text file a name.

  6. Press OK.

You can also export only the data of specific records of a log to a text file. To do this, open the log and select the records you want in the Information Panel:

    • To select a group of records, left click on the first record then hold down the Shift key while left clicking on the last record.

    • To select separate records, hold down the Ctrl button and left click on each record you want to select.

    • To make an advanced selection use Include Selection or Exclude Selection commands as described in Using Quick Filter.

After the selection is made right-click for the context menu and select Export Selected Records.

Related Topics

Copying data from the logs

Clearing logs

Refreshing logs


Copying Data from the Logs

To copy text from specific records to the Windows clipboard and paste it to other Windows applications:

  1. From Outpost Firewall's menu select Tools.

  2. Select Log Viewer. For details see also Viewing logs.

  3. In the Console Tree, select the log.

  4. In the Information Panel, select the specific records:

    • To select a group of records, left click on the first record then hold down the Shift key while left clicking on the last record.

    • To select separate records, hold down the Ctrl button and left click on each record you want to select.

    • To make an advanced selection use Include Selection or Exclude Selection commands as described in Using Quick Filter.

  5. Right click for the context menu and select Copy Selected Records.

Note

To export all the records of a selected log or every record selected using Include Selection or Exclude Selection, right click on the selection and click on Export All Records.

Related Topics

Exporting data from the logs

Clearing logs

Refreshing logs


Clearing Logs

To free up your hard drive space and increase Outpost performance, you may want to clear the log files. It is recommended that you configure the Log Cleaner that automatically maintains log at the optimum size.

To configure the Log Cleaner:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer to open the Log Viewer. For details see also Viewing logs.

  3. On the File menu click Log Cleanup Options

  4. Set the log cleanup policy:

    1. Specify the number of days after which events are considered outdated;

    2. Specify maximum number of events to keep in the log;

    3. Specify the log database size limit – value that determines how large the log database can grow.

You may also manually clear specific logs using the following procedure:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer. For details see also Viewing logs.

  3. In the Console Tree, select a log.

  4. Right-click within the Information Panel to display its context menu.

  5. Select Clear Log.

  6. In the Clear log dialog, select a method of deletion by check marking Delete all records or by specifying the date before which all records are to be deleted.

Tip

You can either use same settings for all logs, or specify individual settings for each of them.

Note

Log Cleaner analyzes the specified settings to determine which one exactly results in the smaller database size and then cleans the log to meet the setting’s requirements. See the User Guide for more information.

Related Topics

Repairing the Log database

Exporting data from the logs

Copying data from the logs

Refreshing logs


Repairing log database

Outpost Firewall log may become corrupted, for example, when your system crashes or shutdowns unexpectedly.

To examine the current log database state:

  1. Open the Outpost Log Viewer

  2. From the File menu click Repair log database

  3. Examine whether the database Has errors or not

If the database reports to have no errors, but the logging system still operates abnormally, try to repair it by completing the following procedure:

  1. Open the Outpost Log Viewer

  2. From the File menu click Repair log database

  3. Select Mark database corrupted and repair on the next OS startup

  4. Click OK and restart your computer

If this does not help, select Mark database as corrupted and create a new one at the next OS startup to have the logging system to delete the current log database and create blank one after you restart Windows.

Related Topics

Exporting data from the logs

Copying data from the logs

Clearing logs


Refreshing Logs

To display the latest data in the Information Panel, you will need to refresh it by:

  1. From Outpost Firewall's menu select Tools.

  2. Select Log Viewer.

  3. In the Console Tree, highlight the desired log.

  4. Click the Refresh button in the Information Panel.

Note

You can also refresh the logs by doing one of the following:

  • Press F5 on your keyboard.

  • Select the menu item View | Refresh.

  • Select the Refresh command in any log’s context menu.

Related Topics

Exporting data from the logs

Copying data from the logs

Clearing logs


About Favorites

Outpost Log Viewer displays a great deal of information on the activities of applications. To quickly find the particular data you need to monitor you can add specific logs, presets or filters to the Favorites tab of the Console Tree.

Related Topics

Viewing Favorites

Adding to Favorites

Removing from Favorites

Organizing Favorites


Viewing Favorites

To view Favorites:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer.

  3. In the Console Tree, left-click on the Favorites tab.

  4. Then select the item you want to be displayed.

Related Topics

Adding to Favorites

Removing from Favorites

Organizing Favorites


Adding to Favorites

To add a log or custom filter to the Favorites tab:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer.

  3. High-light the desired log or filter

  4. From the Outpost Log Viewer’s menu select Favorites.

  5. Select Add to Favorites.

  6. You will see the Add to favorites dialog. If desired, rename the item in the Name edit field and select a folder you want it to be placed in or create a new one by clicking on the New Folder button.

  7. Click OK.

  8. The item appears on the Favorites tab in the specified folder.

Related Topics

Viewing Favorites

Removing from Favorites

Organizing Favorites


Removing from Favorites

To remove a log, preset or filter from the Favorites tab:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer.

  3. In the Console Tree, left click on the Favorites tab.

  4. Right click on the required item to display its context menu.

  5. Select Remove.

The selected item disappears from the Favorites tab.

Related Topics

Viewing Favorites

Adding to Favorites

Organizing Favorites


Organizing Favorites

To organize items and folders that you have added to Favorites:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer.

  3. Select Favorites from the Outpost Viewer's menu.

  4. Select Organize Favorites.

  5. You will see the Organize Favorite dialog. To create a new folder, click on the Create Folder button. To rename or delete an item, select the item and click Rename or Delete.

Related Topics

Viewing Favorites

Adding to Favorites

Removing from Favorites


About Filtering

Filtering is a powerful and flexible feature. Filters limit the amount of information displayed in the Outpost Viewer's Information Panel so you do not have to search through data inapplicable to the analysis you are conducting.

You can create rules of filtering based on limitation of values of any column available for the selected log. Furthermore, you can add as many rules as you need.

The following topics describe how to use filters:

Creating new filter

Editing a filter

Removing a filter

Using quick filter

After a filter has been created, it appears as an item of the Console Tree.

You can quickly view the required filter from within Outpost Firewall’s main window or Add it to Favorites.


Creating New Filter

To create a filter:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer. For details see also Viewing logs.

  3. In the Console Tree, highlight the log you want to filter.

  4. Click the Add Filter button in the Information Panel.

  5. You will see the Filter dialog with a listing of the columns in that log.

  6. To specify a filtering rule, checkmark each column of data you want to see.

  7. In the description field, the beginning of the rule appears that you are creating, such as “Where the Start Time is “Undefined”.

  8. To continue the rule, click on “Undefined”. You will see a dialog in which you can specify various limitations for the selected column.

  9. Use this dialog window to meet your needs and press OK. The rule will be completed according to the choice you have made. Example: “Where the Start Time is last 5 minutes.”

  10. Specify as many rules as you like, then enter the filter name and click OK.

  11. The new filter will appear in the Console Tree.

Related Topics

Editing a filter

Removing a filter

Using quick filter


Editing a Filter

To edit a filter:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer. For details see also Viewing logs.

  3. In the Console Tree, highlight the filter you want to edit.

  4. Click the Edit Filter button in the Information Panel.

  5. You will see the Filter dialog.

  6. To disable a rule, just uncheck the corresponding criteria, on which basis the rule has been made.

  7. To change an existing rule, in the field describing the filter rules, left-click on any parts of the description highlighted with blue color and underlined. Example: Where the Start Time is last 5 minutes. You will see a new dialog. Make the desired changes by following the instructions in the dialog.

  8. To add a new filtering rule, check the column of the values you want to filter. In the description field, the beginning of the rule appears that you are about to create. Example: Where the Start Time is Undefined. To continue the rule, click on Undefined. You will see a new dialog offering variants of limitations for the selected column. Make your choice and click OK. The rule will be completed according to the choice you made.

  9. After you finish editing, click OK.

Related Topics

Creating new filter

Removing a filter

Using quick filter


Removing a Filter

To remove a filter:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer. For details see also Viewing logs.

  3. In the Console Tree, highlight the filter you want to edit.

  4. Click the Edit Filter button in the Information Panel.

Related Topics

Creating new filter

Editing a filter

Using quick filter


Using Quick Filter

To make it easier to locate specific data in a log, you can show or hide records containing repeated data in any displayed column:

  1. Select the corresponding record in the Information Panel.

  2. In the cell that contains the data of interest, right-click to get the context menu and select Include Selection to show records with repeated data or Exclude Selection to hide them.

  3. If there are other records that have the same data in a cell, you can repeat step 2 to add that selection criterion.

  4. To show all the records again, select Show All in the context menu.

Example:

To view data on connections established by a certain application at a particular time, select the Allowed Connections log, right-click on a cell with a record containing information on that application in the Application column and select Include Selection. Then right-click in the Start Time column on the required date and time and select Include Selection again. The Information Panel will now display all the records of that application on that particular date.

This operation can be done so quickly that there is no reason to save the configuration. To create a permanent selection of records under complex conditions, create a filter.

Note

The Include Selection and Exclude Selection commands are not available for some logs.

Related Topics

Creating new filter

Editing a filter

Removing a filter


.topic 0x80870001
Applies and saves any changes you have made, and then closes this dialog box.

.topic 0x80870002
The Cancel button closes this dialog box without saving any changes you have made. The Close button closes this dialog box and retains the changes you have made.

.IDD_CUSTOMIZE (4) ********************************************************************************

.topic 0x808d03f2
A checkmark means the Console Tree is to be displayed.

.topic 0x808d03f4
A checkmark means the Toolbar is to be displayed.

.topic 0x808d03f5
A checkmark means the Description bar is to be displayed.

.topic 0x808d03f6
A checkmark means the Status bar is to be displayed.

.IDD_FAVORITES_ADD_TO (3) *************************************************************************

.topic 0x808703e8
Displays the name of the current filter you are viewing as it will appear in your Favorites folder.

.topic 0x808703f8
Displays a list of folders inside your Favorites folder.

.topic 0x808703eb
Creates a new folder in your Favorites list.

.TOOLBAR (6) **************************************************************************************

.topic 0x0000800A
Goes back to the previous selected item.

.topic 0x0000800B
Goes forward to the next selected item.

.topic 0x0000800C
Goes up one level.

.topic 0x0000800D
Shows or hides the Console Tree.

.topic 0x0000801A
Exports the selected log to a text file.

.IDD_FAVORITES_MOVE (1) ***************************************************************************

.topic 0x808a03ea
Click the folder that you want to move the selected filter to.

.IDD_FAVORITES_ORGANIZE (6) ***********************************************************************

.topic 0x808903e9
Creates a new folder in your Favorites list.

.topic 0x808903ed
Moves the selected filter to a new location.

.topic 0x808903eb
Renames the selected filter.

.topic 0x808903ee
Deletes the selected filter.

.topic 0x808903ea
Lists the folders in the Favorites list.

.topic 0x808903f1
Dispays the decription of the selected filter.


Using the Log Cleaner

The Log Cleaner can be used to automatically clear the logs to remove the obsolete events and preserve the disk space.

To configure the Log Cleaner:

  1. From Outpost Firewall's menu, select Tools.

  2. Select Log Viewer to open the Log Viewer. For details see also Viewing logs.

  3. On the File menu click Log Cleanup Options

  4. Set the log cleanup policy:

    1. Specify the number of days after which events are considered outdated;

    2. Specify maximum number of events to keep in the log;

    3. Specify the log database size limit – value that determines how large the log database can grow.

Tip

You can either use same settings for all logs, or specify individual settings for each of them.

Note

Log Cleaner analyzes the specified settings to determine which one exactly results in the smaller database size and then cleans the log to meet the setting’s requirements. See the User Guide for more information.

Related Topics

Exporting data from the logs

Copying data from the logs

Refreshing logs